﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Framework.Tests
{
    [TestFixture]
    public class MyFirstTestTests
    {
        [Test]
        public void Reverse_StringABC_ReturnsCBA()
        {
            MyFirstTest myFirstTest = new MyFirstTest();
            string result = myFirstTest.Reverse("ABC");
            Assert.AreEqual("CBA", result, "Reverse method did not return expected string");
        }

        [Test]
        public void ThrowsException()
        {
            MyFirstTest tests = new MyFirstTest();
            tests.ThrowsException();
        }

        private object x = null;

        [SetUp]
        public void TestMethodSetup()
        {
            x = new object();
            Console.WriteLine("Starting test @ {0}....", DateTime.Now);
        }

        [TearDown]
        public void TestMethodTeardown()
        {
            Console.WriteLine("Test finished...");
        }

        [Test]
        public void CorrectNumber_1_True()
        {
            MyFirstTest tests = new MyFirstTest();
            Assert.IsTrue(tests.CorrectNumber(1));
        }

        [Test]
        public void CorrectNumber_2_False()
        {
            MyFirstTest tests = new MyFirstTest();
            Assert.IsFalse(tests.CorrectNumber(2));
        }

        [Test]
        public void CorrectNumber_3_True()
        {
            MyFirstTest tests = new MyFirstTest();
            Assert.IsTrue(tests.CorrectNumber(3));
        }
    }
}
