﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Collections;

namespace Fundamentals.Tests.Assertions
{
    [TestFixture]
    public class CollectionAssertTests
    {
        ArrayList arr;
        ArrayList arr2;

        [TestFixtureSetUp]
        public void CreateArrayList()
        {
            arr = new ArrayList();
            arr.Add("One");
            arr.Add("Two");
            arr.Add("Three");
            arr.Add("Four");


            arr2 = new ArrayList();
            arr2.Add("One");
            arr2.Add("Two");
            arr2.Add("Three");
            arr2.Add("Four");
        }

        [Test]
        public void AreElementsEqual()
        {
            CollectionAssert.AreElementsEqual(arr, arr2);
        }

        [Test]
        public void AreCountEqual()
        {
            CollectionAssert.AreCountEqual(4, arr);
        }

        [Test]
        public void AllItemsAreUnique()
        {
            CollectionAssert.AllItemsAreUnique(arr);
        }

        [Test]
        public void Contains()
        {
            CollectionAssert.Contains(arr, "One");
        }

        [Test]
        public void IsSubsetOf()
        {
            ArrayList subset = new ArrayList();
            subset.Add("One");
            subset.Add("Two");

            CollectionAssert.IsSubsetOf(subset, arr);
        }
    }
}
