﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Fundamentals.Tests.Assertions
{
    [TestFixture]
    public class StringAssertTests
    {
        [Test]
        public void Contains()
        {
            string s = "Hello World";
            string contain = "Hello";
            StringAssert.Contains(s, contain);
        }

        public void DoesNotContain()
        {
            StringAssert.DoesNotContain("hello", 'k');
        }

        [Test]
        public void StartWith()
        {
            string s = "NxtGenUG";
            string pattern = @"Nxt";
            StringAssert.StartsWith(s, pattern);
        }

        [Test]
        public void EndsWith()
        {
            string s = "NxtGenUG";
            string pattern = @"UG";
            StringAssert.EndsWith(s, pattern);
        }
    }
}
