﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Fundamentals.Tests.Assertions
{
    [TestFixture]
    public class CompilerAssertTests
    {
        [Test]
        public void CSharpStringCompiles()
        {
            string code = "using System; " +
            "namespace Fundamentals.Tests.Assertions " +
            "{ " +
            "    public class MainClass " +
            "    { " +
            "        public static void Main(string[] args) " +
            "        { " +
            "            Console.WriteLine(\"Hello World\"); " +
            "        } " +
            "    } " +
            "}";

            CompilerAssert.Compiles(CompilerAssert.CSharpCompiler, code);
        }

    }
}
