﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Fundamentals.Tests.Attributes
{
    [TestFixture]
    public class ExpectedExceptionTests
    {
        [Test]
        [ExpectedArgumentNullException]
        //[ExpectedException(typeof(ArgumentNullException))] Alternative syntax
        public void Constructor_EmptyPathString_ThrowsArgumentNullException()
        {
            Logger log = new Logger("");
            Assert.Fail("We shouldn't get here.  Constructor didn't throw exception");
        }

        [Test]
        [ExpectedException(typeof(Exception))]
        public void Constructor_ValidString_ThrowsArgumentNullException()
        {
            Logger log = new Logger(@"C:\Test.txt");
            Assert.IsNotNull(log);
        }
    }
}
