﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Threading;

namespace Fundamentals.Tests
{
    [TestFixture]
    [FixtureCategory("Database")]
    public class FixtureCategoryTests
    {
        [Test]
        //[Category("Database")] <-- Syntax for NUnit, unsupported by MbUnit.
        public void DatabaseTest()
        {
            Thread.Sleep(100);
        }

        [Test]
        public void DatabaseTest2()
        {
            Thread.Sleep(100);
        }   
     
        [Test]
        public void DatabaseTest3()
        {
            Thread.Sleep(100);
        }        
        
        [Test]
        public void DatabaseTest4()
        {
            Thread.Sleep(100);
        }
    }

    [TestFixture]
    public class ExpectedException
    {
        [Test]
        [ExpectedException(typeof(ArgumentNullException))]
        public void TestShouldThrowExceptionButDoesnot()
        {
            throw new IOException("A different exception occurred");
        }
    }
}
