﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using MbUnit.Framework.Reflection;

namespace Fundamentals.Tests
{
    [TestFixture]
    public class MyPrivateMethodTests
    {
        [Test]
        public void GetState_ValidObject_ReturnsOK()
        {
            MyPrivateMethod priv = new MyPrivateMethod();
            Reflector tester = new Reflector(priv);
            string result = tester.InvokeMethod("GetState") as string;
            Assert.AreEqual("OK", result);
        }
    }
}
