﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Threading;

namespace Fundamentals
{
    public class Logger
    {
        private string _path;
        public Logger(string path)
        {
            if (string.IsNullOrEmpty(path))
                throw new Exception("path");

            _path = path;
        }
        public bool Write(string message)
        {
            if (string.IsNullOrEmpty(message))
                return false;

            StreamWriter sw = null;
            try
            {
                sw = new StreamWriter(_path, true);
                sw.Write(message);
            }
            finally
            {
                if (sw != null) sw.Close();
            }

            return true;
        }

        public void WriteOutWorksofShakespeare()
        {
            Thread.Sleep(10000);
        }
    }
}
